﻿using FormValidation.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace FormValidation.Controllers
{
    public class HomeController : Controller
    {

        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Index(Osoba osoba)
        {
            if (!string.IsNullOrEmpty(osoba.KodPocztowy) && !osoba.KodPocztowy.StartsWith("5"))
                ModelState.AddModelError("KodPocztowy", "Kod pocztowy nie jest z Wrocławia");
            // Oglądamy zawartość ModelState pod debuggerem
            if (ModelState.IsValid)
            {
            }
            else
            {
            }
            return View();
        }
    }
}